MDL = l
INC = c:\turboc\include
LIB = c:\turboc\lib
DEBUG = -v
FLAGS = -m$(MDL) -M -c -N- -I$(INC);. -L$(LIB) -w-aus -wamb -d -f $(DEBUG)

C = c:\turboc\tcc $(FLAGS)

OBJ   = devchain.obj disklist.obj keyboard.obj bios.obj comments.obj \
        sysconfg.obj pcconfig.obj getcpu.obj video.obj findsign.obj

#################
# default rules #
#################

.c.obj:  
        $(C) $<

.asm.obj:
        tasm /v -m$(MDL) $<

################
# dependencies #
################

pcconfig.exc:       $(OBJ)
        tlink   /v /c /d /m @pcconfig.lnk

bios.obj:       bios.c systable.h
comments.obj:   comments.c
devchain.obj:   devchain.c systable.h
disklist.obj:   disklist.c systable.h
findsign.obj:   findsign.c systable.h
getcpu.obj:     getcpu.asm
keyboard.obj:   keyboard.c
sysconfg.obj:   sysconfg.c systable.h memory.h
pcconfig.obj:   pcconfig.c systable.h memory.h
vectors.obj:    vectors.c
video.obj:      video.c $(INC)\graphics.h $(INC)\stdio.h
