#include <stdio.h>
#include <bios.h>
#include <alloc.h>
#include <mem.h>

#define FALSE    0
#define TRUE     !FALSE

int equiplist (is_AT, int_equip)
int    is_AT;
struct equip    int_equip;


    {
    printf ("\nTotal system memory = %dK", biosmemory());
    printf ("\nAvailable memory    = %dK", coreleft() / 1024);

    int_equip = biosequip();
    memmove (&equip, &int_equip, sizeof (equip));
    if (equip.disk)
        {
        printf ("\nNumber of floppy drives installed = %d",
                equip.drives + 1);
        }
    if (equip.math && is_AT)
        {
        printf ("\nMath co-processor is installed");
        }
    printf ("\nInitial video mode: ");
    switch (equip.video)
        {
        case 1: printf ("40 x 25 color");
                break;
        case 2: printf ("80 x 25 color");
                break;
        case 3: printf ("80 x 25 monochrome");
                break;
        }
    printf ("\nNumber of serial (RS-232) ports = %d",
            equip.serial);
    if (is_AT == FALSE)
        {
        if (equip.game)
            {
            printf ("\nGame adapter is installed");
            }
        else
            {
            printf ("\nGame adapter is not installed");
            }
        }
    printf ("\nNumber of printer ports = %d",
            equip.prntrs);

    return (equip.drives + 1);
    }
