#include <conio.h>
#include <stdio.h>
#include <dos.h>
#include <string.h>

#include "systable.h"

#define GETEQUIP 0x11
#define FALSE    0
#define TRUE     !FALSE

int sys_config ();                    /* Declared in SYSCONFG.C */
void disk_list (int floppies);       /* Declared in DISKLIST.C */
void comments ();

unsigned critical_error_flag = FALSE;

int      floppies;

main (int argc, char **argv)
{
    char            am_pm [3];
    char            date [30];
    char            time [15];
    union   REGS    regs;
    int             hrs, min, sec;
    int             day, mon, yr;
    int             dow;

    char            *day_of_week[] =
                        {"Sunday", "Monday", "Tuesday", "Wednesday",
                         "Thursday", "Friday", "Saturday"};

    char            *month[] =
                        {"February", "March", "April", "May", "June",
                         "July", "August", "September", "October", "November",
                         "December", "January",};

    regs.h.ah = 0x2c;       /* get system time */
    intdos (&regs, &regs);
    if (regs.h.ch > 12)
        {
        regs.h.ch -= 12;
        strcpy (am_pm, "PM");
        }
    else
        {
        strcpy (am_pm, "AM");
        }

    hrs = regs.h.ch;
    min = regs.h.cl;
    sec = regs.h.dh;

    regs.h.ah = 0x2a;       /* get system date */
    intdos (&regs, &regs);

    day = regs.h.dl;
    mon = regs.h.dh;
    yr  = regs.x.cx;

    if (mon > 2)
        {
        mon -= 2;
        }
    else
        {
        mon += 10;
        yr--;
        }

    dow = (( 13 * mon - 1) / 5) + day + (yr % 100) + ((yr % 100) / 4) - 2 *
           (yr / 100) + 77;
    dow = dow - 7 * (dow / 7);

    sprintf (time, "%2d:%02d:%02d %s", hrs, min, sec, am_pm);
    sprintf (date, "%s, %s %02d, %4d", day_of_week[dow], month[mon], day, yr);

    clrscr();

    printf (
"\n͸"
"\n                        System Configuration Information                     "
"\nĴ"
"\n      %-30s                       %11s       "
"\n;"
"\n\n",
    date,
    time);

    if (argc == 2)
        {
        if (toupper (argv[1][1]) != 'C')
            comments ();
        }
    else
        {
        comments ();
        }

    floppies = sys_config ();
    disk_list (floppies);
    printf ("\n");
    }
